<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Drag and Drop between lists</title>

    <link rel="shortcut icon" href="{{ url_for('static', filename='favicon.ico') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='css/dragndrop.css') }}">

    <!--www.dropzonejs.com-->
    <script src="{{ url_for('static', filename='js/dropzone.js') }}"></script>
    <script>
        Dropzone.options.myAwesomeDropzone = {
          paramName: "file", // The name that will be used to transfer the file
          maxFilesize: 2048, // MB
          createImageThumbnails: false,
          accept: function(file, done) {
            if (file.name == "justinbieber.jpg") {
              done("Naha, you don't.");
            }
            else { done(); }
          }
        };
    </script>

</head>

<body>

    <div class="container">
        <div class="middle">
            <a href="/action/update_presentation" class="button">Update presentation</a>
        </div>
        <div class="middle">
            <a target="_blank" rel="noopener noreferrer" href="https://docs.google.com/presentation/d/{{ presentation_id }}" class="button">Edit presentation</a>
        </div>
    </div>

    {% for task in tasks %}
        {% if loop.index0 % 3 == 0 %}
        <div class="container">
        {% endif %}
            {% if loop.index0 % 3 == 0 %}
            <div class="left">
            {% elif loop.index0 % 3 == 1 %}
            <div class="middle">
            {% else %}
             <div class="right">
            {% endif %}
                <h3 class="list-heading">{{ task.name }}</h3>
                <ul id="ul-{{ task.name }}" class="dropzones">
                    {% for file in task.files() %}
                        <li class="draggable">{{ file }}</li>
                    {% endfor %}
                </ul>
                <form action="/file-upload/{{ task.name }}" class="dropzone" id="form-{{ task.name }}"></form>
            </div>
        {% if loop.index0 % 3 == 2 %}
        </div>
        {% endif %}
    {% endfor %}
    <script src="{{ url_for('static', filename='js/dragndrop.js') }}"></script>
</body>

</html>